function enemy_load()
  enemy = {}
  enemy.img = {}
  enemy.img[1] = love.graphics.newImage('enemy1.png')
  enemy.img[2] = love.graphics.newImage('enemy2.png')
  enemy.scale = .5
  
  
  enemy.move_dist = 10
  enemy.move_timer = .5
  enemy.move_timer_default = enemy.move_timer
  enemy.move_timer_out = false
  
  enemy.bullet_timer = 10
  enemy.bullet_timer_range = {5,20}
  enemy.bullet_timer_out = false
  enemy.bullet_can_shoot = false
  
  enemy.spawned = {}
  --Default position in the enemy line-up to shoot the first bullet from. will change.
  enemy.bullet_position = 1
  function create_enemy(x,y,kind)
    --Kind determines several factors including image, HP and other things.
    local enimg = enemy.img[kind]
	local HP = 0
	if kind == 1 or 2 then
	  HP = kind
	end
    table.insert(enemy.spawned, {kind=kind,
		img=enimg,
		x=x,
		y=y,
		move=false,
		h_dir = 'left',
		down = false,
		hp=HP})
  end
  function remove_enemy(e)
    table.remove(enemy.spawned,e)
  end
  enemy.group = {}
  function create_group(t)
    --Takes a table of tables with variables to plug into the create_enemy function
	--makes it possible to make predesigned waves, replay, reorder etc.
    table.insert(enemy.group,{tab=t})
	for i,v in ipairs(t) do
	   create_enemy(unpack(v))
	end
  end
  function create_wave(wave_table)
	--local wt_len = table.getn(wave_table)
    for i,v in ipairs(wave_table) do
		create_group(v)
	end
  end
  --X,Y,KIND
  --Look into creating an 'offset' between groups. Don't want to deal w/ negatives here.
  --Also learn to read this from text files.
  group1 = {
    {100,-10,2},{150,-10,2},
    {200,-10,1},{250,-10,1},
    {300,-10,2},{350,-10,2},
    {100,-50,2},{150,-50,2},
    {200,-50,1},{250,-50,1},
    {300,-50,2},{350,-50,2},
	{100,-90,2},{150,-90,2},
    {200,-90,1},{250,-90,1},
    {300,-90,2},{350,-90,2}}
  group2 = {
    {10,50,1}	,{100,50,1},
	{100,110,1}	,{120,50,1},
	{120,110,1}	,{10,110,1},
	{30,50,1}	,{30,110,1}}
  wave1 = {group1,group2}
  create_wave(wave1)
end
function enemy_update(dt)
  --how long the enemy table is
  local enm_tbl = table.getn(enemy.spawned)
  if enemy.move_timer >= 0 then
    --movement timer countdown and movement values off
    enemy.move_timer = enemy.move_timer - 10*dt
	enemy.move_timer_out = false
  else
    enemy.move_timer_out = true
  end
  if enemy.bullet_timer >= 0 then
    enemy.bullet_timer = enemy.bullet_timer - 10*dt
	enemy.bullet_timer_out = false
  else
	enemy.bullet_timer_out = true
  end
	if enemy.bullet_timer_out then
	  --Picks a random spot in the field of enemies and shoots the bullet from that enemies position.
	  --THE BUG IS RIGHT HERE. YOU MUST BE SQUASHED.
	  --It seems like the enemy.bullet_position is picking an enemy that doesn't exist?
	  enemy.bullet_position = math.random(1,table.getn(bullet.spawned))
	  local choice = enemy.spawned[enemy.bullet_position]
	  bullet_spawn(choice.x,choice.y,0,100,1)
	  enemy.bullet_timer = math.random(unpack(enemy.bullet_timer_range))
	  enemy.bullet_timer_out = false
	end
  for i,v in ipairs(enemy.spawned) do
    if enemy.move_timer_out == true then
	  v.move = true
	else
	  v.move = false
	end
    if v.move == true then
	  if v.h_dir == 'right' then
        v.x = v.x + enemy.move_dist
	  elseif v.h_dir == 'left' then
	    v.x = v.x - enemy.move_dist
	  end
	  if v.down == true then
	    v.y = v.y+(enemy.move_dist*3)
		v.down = false
	  end
	  enemy.move_timer = enemy.move_timer_default
	end
	if v.x+(v.img:getWidth()*enemy.scale) > love.graphics.getWidth() then
	  v.down = true
	  v.h_dir = 'left'
	elseif v.x < 0+enemy.move_dist then
	  v.h_dir = 'right'
	  v.down = true
	end
	if v.hp <= 0 then
	  remove_enemy(i)
	end
  end
end
function enemy_draw()
  love.graphics.setColor(255,255,255)
  love.graphics.print(table.getn(enemy.spawned))
  for i,v in ipairs(enemy.spawned) do
    love.graphics.draw(v.img,v.x,v.y,0,enemy.scale,enemy.scale)
  end
end